summaryrefslogtreecommitdiff
path: root/update-plugins
diff options
context:
space:
mode:
authorZeLibertineGamer <zlg@zelibertinegamer.me>2016-06-10 15:52:29 -0700
committerZeLibertineGamer <zlg@zelibertinegamer.me>2016-06-10 15:57:03 -0700
commitf6c1a78f35eedc6333195f57f5a0a983cf370164 (patch)
treefa5546b64826215f6d179d2215265ee2dae13c6c /update-plugins
downloadvimrc-f6c1a78f35eedc6333195f57f5a0a983cf370164.tar.gz
vimrc-f6c1a78f35eedc6333195f57f5a0a983cf370164.tar.bz2
vimrc-f6c1a78f35eedc6333195f57f5a0a983cf370164.tar.xz
vimrc-f6c1a78f35eedc6333195f57f5a0a983cf370164.zip
Initial commit
Diffstat (limited to 'update-plugins')
-rwxr-xr-xupdate-plugins28
1 files changed, 28 insertions, 0 deletions
diff --git a/update-plugins b/update-plugins
new file mode 100755
index 0000000..856f85a
--- /dev/null
+++ b/update-plugins
@@ -0,0 +1,28 @@
+#!/bin/sh
+# This is a simple front-end to vopher that will update all your plugins,
+# clean up plugins that aren't in PLUGIN_LIST, and prune all .zip files.
+# What more could you ask for from a wrapper?
+
+die() {
+ echo "$1" && exit
+}
+
+PLUGIN_PATH="$HOME/projects/vimrc/bundle"
+PLUGIN_LIST="$HOME/projects/vimrc/vopher.list"
+_has_sparkup=$(grep -c sparkup ${PLUGIN_LIST})
+_tmp=$(pwd)
+if [ "$_has_sparkup" -a -d ./bundle/sparkup ]; then
+ cd bundle/sparkup
+ unlink doc
+ unlink ftplugin
+ cd "$_tmp"
+fi
+_cmd="vopher -f "$PLUGIN_LIST" -dir "$PLUGIN_PATH" -ui=simple"
+$_cmd -force update 2>vopher.log 1>/dev/null || die "Could not update! Consult vopher.log for details."
+$_cmd -force -all prune 2>>vopher.log 1>/dev/null || die "Could not prune! Consult vopher.log for details."
+if [ $_has_sparkup ]; then
+ cd "${PLUGIN_PATH}/sparkup"
+ make vim-pathogen --quiet
+ cd "$_tmp"
+fi
+echo "Plugins successfully updated."